/* ----- Third Party Imports ----- */
import { createContext, useState, useContext } from "react";

/* ----- Project Imports ----- */

const ProjectContext = createContext();

export default function ProjectContextProvider({ children }) {
  const [typeProject, setTypeProject] = useState("web");
  const [projectNumber, setProjectNumber] = useState(0);
  
  return (
    <ProjectContext.Provider value = {{typeProject, setTypeProject, projectNumber, setProjectNumber}}>
    {children}
    </ProjectContext.Provider>
  );
}

export function useProjectContext() {
  return useContext(ProjectContext);
}